package com.kingdee.eas.custom.shuiyou.six.osf;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.bsf.service.app.IHRMsfService;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.shuiyou.task.TaskCatalogEnum;
import com.kingdee.eas.custom.shuiyou.uitls.ISYUtilsFacade;
import com.kingdee.eas.custom.shuiyou.uitls.SYUtilsFacade;
import com.kingdee.eas.custom.shuiyou.uitls.SYUtilsFacadeFactory;
import com.kingdee.eas.custom.shuiyou.uitls.URLConfigEnum;
import org.apache.log4j.Logger;

import java.util.Map;

/**
 * 人员专项附加扣除金额查询结果
 * description: querySpecialAmountService <br>
 * date: 2024/9/6 15:53 <br>
 * author: lhbj <br>
 * version: 1.0 <br>
 */
public class QuerySpecialAmountService implements IHRMsfService {

    private static final Logger LOG = Logger.getLogger(GetPreDeductConfirmFeedBack.class);
    @Override
    public Object process(Context ctx, Map map) throws EASBizException, BOSException {
        String result = (String) map.get("result");
        String taskId = (String) map.get("taskId");
        String paramData = (String) map.get("paramData");
        JSONObject paramMap = JSONUtil.parseObj(paramData);
        JSONObject resultMap = JSONUtil.parseObj(result);
        JSONObject head = resultMap.getJSONObject("head");
        JSONObject body = resultMap.getJSONObject("body");
        String requestId = body.getStr("requestId");
        body.set("skssq",paramMap.get("skssq"));
        body.set("preTaskId",paramMap.get("taskId"));
        String code = head.getStr("code");
        String json = JSONUtil.toJsonStr(map);
        ISYUtilsFacade facade = SYUtilsFacadeFactory.getLocalInstance(ctx);
        Map<String,Object> config = facade.getConfig();

        if("00000000".equals(code)){
            String rest = facade.backTask(config.get("ip")+ URLConfigEnum.GETQUERYSPECIALAMOUNTFEEDBACK_VALUE, requestId,"getQuerySpecialAmountFeedback", JSONUtil.toJsonStr(body), TaskCatalogEnum.TAXSPEADDDEDREPORT_GET);
        }
        LOG.error(json);

        return json;
    }
}
